<?php

/**
 * Implement hook_rules_action_info()
 */
function awd_sms_rules_rules_action_info() {
  $actions = array(
    'awd_sms_rules_send_sms' => array(
      'label' => t('Send SMS'),
      'group' => t('AWD SMS'),
      'module' => 'awd_sms_rules',
      'parameter' => array(
        'phone' => array(
          'type' => 'text',
          'label' => t('Phone number'),
          'description' => t('Phone number in international format.'),
        ),
        'message' => array(
          'type' => 'text',
          'label' => t('Message'),
          'description' => t('Text message, like standart SMS'),
        ),
        'translit' => array(
          'type' => 'boolean',
          'label' => t('Translitiration'),
          'description' => t('Check if you want translitirate message'),
        ),
        'show_message' => array(
          'type' => 'boolean',
          'label' => t('Show message after sent'),
          'description' => t('Check if you want show message status in Drupal message'),
        ),
      ),
    ),

  );
 
  return $actions;
}

/**
 * The action function for awd_sms_rules_send_sms
 */
function awd_sms_rules_send_sms($phone, $message, $translit, $show_message) {
	$message_status = array();
    awd_sms_send_sms($phone, $message, $translit, $message_status);
	if($show_message == TRUE){
		$message = drupal_set_message($message_status['message'].' '.$message_status['error'], $message_status['type']);
	}
}