<?php

/**
 *  Check settings
 */
function awd_sms_check_settings(){
	
	$login = variable_get('awd_sms_login');
	$psw = variable_get('awd_sms_password');
	if(isset($login) && $login !== '' && isset($psw) && $psw !== ''){
		$form_send = drupal_get_form('awd_sms_send_form');
		$render_form = drupal_render($form_send);
		return $render_form;
	}
	else{
		$error_message = t('You must <a href="/admin/config/sms/settings">autorize in SMSC</a> before send SMS');
		$no_settings = drupal_set_message($error_message, 'error');
		return '';
	}
	
}

/**
 *  Send SMS form
 */
function awd_sms_send_form($form, &$form_state){
	
	$form = array();
	
	// Add css-file to form
	$form['#attached']['css'] = array(
		drupal_get_path('module', 'awd_sms_simple') . '/awd_sms_simple.css',
	);

	// Messages
	$form['messages'] = array(
		'#markup' => '',
		'#prefix' => '<div id="sended_sms_div">', 
		'#suffix' => '</div>', 
	);
	
	// Fildeset
	$form['send_sms'] = array(
		'#type' => 'fieldset',
		'#title' => t('Send SMS'),
		'#prefix' => '<div id="sms_form_div">', 
		'#suffix' => '</div>', 
		'#collapsible' => TRUE,
		'#collapsed' => FALSE,
	);
	
	// Phone number
	$form['send_sms']['number'] = array(
		'#type' => 'textfield',
		'#title' => t('Phone number'),
		'#placeholder' => t('Phone number'),
		'#description' => t('Phone number in international format.'),
	);
	
	// Message
	$form['send_sms']['message'] = array(
		'#type' => 'textarea',
		'#title' => t('Message'),
		'#rows' => 2,
		'#resizable' => FALSE,
		'#placeholder' => t('Message'),
		'#description' => t('Text message, like standart SMS'),
	);
	
	// Translitiration
	$form['send_sms']['translit'] = array(
		'#type' => 'checkbox', 
		'#title' => t('Translitiration'),
		'#description' => t('Check if you want translitirate message'),
	);
	
	// Submit
	$form['send_sms']['submit'] = array(
		'#type' => 'submit',
		'#value' => t('Send'),
		'#ajax' => array(
			'callback' => 'send_sms_ajax',
			'wrapper' => 'sended_sms_div',
			'effect' => 'fade',
			'method' => 'replace',
		),
		'#submit' => array(
		  'send_sms_submit',
		),
	);
	
	return $form;
	
}

// Submit SMS
function send_sms_submit($form, &$form_state) {
	$phone = $form_state['values']['number'];
	$message = $form_state['values']['message'];
	$translit = $form_state['values']['translit'];
	$message_status = array();
    awd_sms_send_sms($phone, $message, $translit, $message_status);
	$message = drupal_set_message($message_status['message'].' '.$message_status['error'], $message_status['type']);
    $form_state['input'] = array();
    $form_state['rebuild'] = TRUE;
}

// Ajax sending SMS
function send_sms_ajax($form, &$form_state) {     
	$commands = array();
	$commands[] = ajax_command_html('#sended_sms_div', theme('status_messages'));
	$commands[] = ajax_command_html('#sms_form_div', drupal_render($form));
	return array('#type' => 'ajax', '#commands' => $commands);
}